#pragma once

#include "../../../GAME_COMMON.h"
#include "../../ecs_entity.h"

typedef struct ComponentStun
{
	ECSComponent component;
	u32 max;
	u32 value;
	bool isStun;
} ComponentStun;

void component_stun_init(ComponentStun* self, u32 max);
void component_stun_tick(ComponentStun* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_STUN_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL, 
			(ECSFunction)component_stun_tick,
			NULL
		}
	},
	.type = ECS_COMPONENT_STUN,
	.size = sizeof(ComponentStun)
};


